import 'package:flutter/widgets.dart';
import 'package:white_auth/auth/forgot.dart';
import 'package:white_auth/auth/login.dart';
import 'package:white_auth/auth/register.dart';

/// The routes to be used in other apps for easy navigation
///
/// use the spread operator to use these routes in your MaterialApp widget
/// `routes: {...whiteAuthRoutes,
/// "other_routes": (context)=> Widget()}`
final Map<String, Widget Function(BuildContext)> whiteAuthRoutes = {
  "/login": (context) => LoginScreen(),
  "/register": (context) => const RegisterScreen(),
  "/forgotPassword": (context) => const ForgotPasswordScreen(),
};
