import 'package:flutter/material.dart';
import 'package:white_auth/auth/registration_form.dart';

class RegisterScreen extends StatelessWidget {
  final String appName;
  const RegisterScreen({Key? key, this.appName = "White Auth"})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text("Register"),
      ),
      body: Column(
        children: [
          Text(
            "Register account with $appName",
            style: Theme.of(context).textTheme.headline5,
          ),
          Padding(
            padding: EdgeInsets.all(8.0),
            child: RegistrationForm(),
          ),
        ],
      ),
    );
  }
}
